Logging In

To use Suite8 you must first log into the system with a user identification and password.

Logging into Suite8

  1. From the desktop, click the Suite8 icon.

The Suite8 Splash screen is displayed for several seconds with the Oracle copyright.

The Suite8 Login screen is then displayed.

  2. Enter your user identification (case sensitive) in the Login Name box.

  3. Tab to the Password box and enter your password (case sensitive).

  4. Click Login, the Suite8 main menu screen is displayed.

You are now logged into the system.

Note: If one of the following tables: WMLG, WLOG, ZPOS, WDAT, SHIS, SRPD, WRPD has no indices or a missing index, an alert is displayed when starting Fidelio Suite8 with a message to contact support. It could happen that a table has no indices in the event that a table was renamed for support purpose. Renaming a table carries the indices to the renamed table. If an index is missing of one of the above mentioned tables, the alert is displayed when starting Suite8.

Note: Date formats with a space as a separator such as DD MM YYYY, are not supported by Delphi. Suite8 will displays the following message upon start up if the date format is defined with a space as a separator in Windows Regional and Language settings: "Date separator is space character. Application will be closed. Please change windows environment settings."


Suite8 Status Bar

The status bar displays various indicators and information at the bottom of the Suite8 screen:

Status Bar Indicators

Indicator

Definition

Displays the computer name.

Suite8 date.

Displays the name of the logged in user.

Displays the name of the manager on duty; see Manager on Duty.

Displays the result count for the current search in various screens, including the profile or reservation navigator and the maintenance search screen.

A red blinking square indicates that there are profile synchronization errors.

Clicking this icon displays the following message: "Do you want to see profiles with central synchronization error ?"

Confirming the message will open the customer profiles grid with a list of all profiles with errors during the last synchronization process.

From the options menu, the synchronization error log for the selected profiles can be cleared when selecting the option Clear sync error flag.

The remote search results can be displayed by clicking the green round indicator.


Navigation Keys

Accelerator keys

Accelerator keys are used for fast access to a box on a screen or dialog box. When a letter is underlined you can press the Alt + letter keys and the cursor moves into the appropriate box. For example, on the Profile Search screen the letter “A” is underlined in the Name box. By pressing the Alt + A keys, the cursor moves into the Name box.

To use the accelerator keys:

From the screen or dialog box, press Alt + letter to move the cursor into the appropriate box.

Blue drill down arrow

Many boxes have a blue drill down arrow [image] next them indicating that there is additional information that can be displayed.

For example, on the House Status screen clicking the blue drill down arrow on the Out of Order line displays the Out of Order Rooms screen.

Shortcut keys

Suite8 has shortcut keys that allow you to perform actions directly from the keyboard without having to use the mouse. Using these keys saves you time.

Suite8 Shortcut keys

Shortcut Key | Description
F1 | Displays the help.
Alt + F4 | Closes the active window.
F8 | Closes all open screens and dialog boxes and the Login screen appears. A new user can now login.
F10 | Closes all active windows.
F12 | Moves the cursor from a data box to the first record on the grid.
Down arrow | Displays a selection list box or a selection dialog box.
Tab | Moves forward through the boxes/options. Moves to the next box and confirms the entry.
Shift + Tab | Moves backward through the boxes/options.
Ctrl + Tab | Moves forward through tabs.
Ctrl + Shift + Tab | Moves backward through tabs.
Escape | In general cancels the current action. However, in some screens, such as Customer Profiles, CCM Booking and Events a message is displayed "xxx was modified. Do you want to cancel?" if there are changes which have not yet been saved. Removes a Combo box before a selection has been made.
Home | Moves the cursor to the beginning of a box.
End | Moves the cursor to the end of a box.


HTML View

Fidelio Suite8 offers the possibility to view information in HTML format. The main areas where information can be viewed in HTML format are as follows:

  • Reservation Navigator

  • Blocks

  • Profiles

  • Cashiering

  • Tasks and Activities

  • Events

  • Conference Reservation

The HTML display on the reservation navigator can be hidden so that the reservation grid is expanded. Double-click in the blue reservation header bar or right-click and select/deselect Lower part of the screen from the short-cut menu to view or hide the HTML display. This setting is stored per user and remains until the next time it is changed.

What do you want to do?

Expand the HTML tree

  • Click the expand icon [image] to show all available folders.

Collapse the HTML tree

  • Click the collapse icon [image] to collapse all folders to the uppermost level.

Refresh the HTML View

  • Click the refresh icon

View information in HTML format

In this example we will display information in HTML format on the profile screen.

  1. Click the Customer Relation menu and select Profiles to display the customer profile screen.

This main customer profile screen is called the Navigator and is divided into 3 distinct areas:

  • Query - basic and advance profile search criteria

  • Query Results - the results of the query shown in a grid format

  • Tree Listing and HTML Page

    • A tree listing of all the details associated with this profile including address, communications, links, reservations or history

    • A freely definable HTML display which by default has a 'big' format where the details are displayed in a non-grid style format or a list format. The HTML display can be printed by using the right mouse click.

  2. Enter the name to search for in the Name box and click Search.

  3. The query results are shown in grid format in the middle section of the screen and the tree and HTML formats are shown in the lower section of the screen.

  4. In this instance the HTML view displays a summary of the profile details. The tree listing is displayed by default expanded by one level. A plus sign next to a folder indicates that it can be expanded to show more folders; a minus sign indicates that it can be collapsed.

Change the display of the HTML

Two additional buttons on the HTML display allow you to change whether certain details are displayed in a non-grid style or in a list format. By default the 'big' view is displayed.

  1. To view in list format click the [image] button.

  2. To view in a non-grid style, click the [image] button.

Copy to clipboard

It is possible to copy information from the HTML files to clipboard by selecting items from HTML, using right mouse short cut menu and selecting Copy to clipboard or short cut key Ctrl + C. This information can then be pasted to any open file by using right mouse menu option Paste or short cut key Ctrl + V.

  • The menu option Copy to clipboard is controlled by the user right Copy to clipboard from HTML under Users → User Definition → Rights → Miscellaneous


Quick Keys

The Quick Keys

Suite8 allows you to select the Quick Keys main menu from any screen. The quick keys are shortcuts to screens, searches, and desktop tools. Using these keys allows rapid access to information without having to leave the section that you are currently working on. For example, a customer is making a new reservation while at the same time asking questions about restaurants in the area. You can use the Telephone Book quick key for restaurant information instead of aborting the new reservation screen, looking up the restaurant information, closing the Telephone Book, and reopening the new reservation screen.

To access the Quick Keys main menu

  • Click the Quick Keys menu option.

The Quick Keys menu is displayed.


The Date Box

The format of the dates and the separators between the dates may vary from one hotel to another. The date format is defined in the Control Panel Windows Regional Settings/Options.

Typical date formats include the following:

  • dd/yy

  • MM/dd/yyyy

  • yy/MM/dd

  • yyyy-MM-dd

  • dd-MMM-YY

You can type the date directly in the date box; however it must be typed exactly as per the pre-defined format.

There are many date boxes in the system, for example, Arrival Date or From Date. The date can be either a specific date or an as of date.

A specific date is when you need to see what happened on that day. For example, you need to see which guests have departed 01/01/03.

An 'as of date' is when you need to find out information starting from that date. For example, you need to read the room rack starting from 09/09/03 through 12/09/03.


Customising Suite8 Grids

Many of the grids in Suite8 may be customized according to the needs of the property.

The customization options available are:

  • Display field names - displays a list if the grid column names with their field name and type.

  • Customize - opens the customize dialog box so that columns on the grid can be added, changed or removed.

  • Restore Defaults - applies the default settings for this grid.

  • Show Defaults - applies the default settings to the current grid view, however, any customized settings are used the next time the grid is displayed.

  • Select Print to print or export the existing grid layout, the possible export formats are ASCII File, CSV Format, HTML Document or an Excel Document.

Note: The print or export function should be used before changes to the grid will be saved.

What do you want to do?

How to display field names

  1. Place the cursor in the grid and right-click to display the short-cut menu.

  2. Select Display field names.

A list of the column names with their field name and field type is listed.

The list can be copied to the clipboard or saved to a file.

  3. Click OK to close the list.

How to customize a grid

  1. Place the cursor in the grid and right-click to display the short-cut menu.

  2. Select Customize to open the customize screen.

The fields already used are marked with a green check mark.

  3. Click the Pencil button to view or change the column properties.

    Field

    Description

    Field name

    The field name as it is defined in the database table.

    Caption

    The field caption.

    Fixed

    Defines if the column will be fixed to the left side, when scrolling to the right to view additional fields of the grid. Columns marked as fixed are highlighted grey.

  4. To move a field to the grid, select the field and drag it to the required position.

  5. Click the [image] in the top right-hand corner to close the customize screen.

  6. A message is displayed asking if you want to store the grid layout.

  7. Select Yes to save the changes or No not to save any changes.

How to remove a column from a customized grid

  1. Place the cursor in the grid and right-click to display the short-cut menu.

  2. Select Customize to open the customize screen.

The fields already used are marked with a green check mark.

  3. On the grid point to the column to be removed and drag it to the customize screen; yellow arrows are displayed at each end of the column name.

Once the column has been removed the green check mark is removed from the field name on the customize screen.

  4. Click the [image] in the top right-hand corner to close the customize screen.

  5. A message is displayed asking if you want to store the grid layout.

  6. Select Yes to save the changes or No not to save any changes.

Column Properties

Field | Description
Field name | The field name as it is defined in the database table.
Caption | The field caption.
Fixed | Defines if the column will be fixed to the left side, when scrolling to the right to view additional fields of the grid. Columns marked as fixed are highlighted grey.

How to create a customised grid view for profile search

Users familiar with the Fidelio Suite8 table structure and fields can create a customized grid view for the profile search.

Example: Adding the financial account long description to the profile navigator

The view has to be changed as follows:

CREATE OR REPLACE FORCE VIEW v8_sys_customxcmssearch

(customxcmssearch_xcms_id, zfac_longdesc)

AS SELECT xcms_id customxcmssearch_xcms_id,

(select zfac_longdesc from zfac where zfac_actvalidfrom is not null and zfac_actvaliduntil is null and xcms.xcms_id=zfac.zfac_xcms_id and rownum=1)

zfac_longdesc

from xcms;

The fields from the custom view are automatically added to the grid.

  • This functionality is controlled by the parameter Custom view in Profile Search under Setup → Configuration → Global Settings → Miscellaneous → Search Screens 2 tab.
    To add fields to the Grid Customization dialog box, the view V8_sys_customxcmssearch has to be amended.

How to create a customised grid view for reservation search

Users familiar with the Fidelio Suite8 table structure and fields can create a customised grid view for the reservation navigator.

Example: Adding the housekeeping status to the reservation navigator

The view has to be changed as follows:

CREATE OR REPLACE VIEW v8_sys_customressearch

AS SELECT yres_id customressearch_yres_id, yhks_shortdesc HSK_Status

FROM yhks, yrms, ydet,yres

WHERE yhks_id = yrms_yhks_id

AND yrms_id= ydet_yrms_id

and yres_current_ydet_id=ydet_id;

The fields from the custom view are automatically added to the grid.

  • This functionality is controlled by the parameter Custom view in Res. Navigator under Setup → Configuration → Global Settings → Miscellaneous → Search Screens 2 tab.
    To add fields to the Grid Customization dialog box, the view V8_sys_customxcmssearch has to be amended.

How to create a customised grid view for booking search

Users familiar with the Fidelio Suite8 table structure and fields can create a customized grid view for the event booking search.

Example: How to display the function type description

The view has to be changed as follows:

CREATE OR REPLACE FORCE VIEW V8_SYS_CUSTOMYBOMSEARCH

AS

SELECT

ybom_id customybomsearch_ybom_id,

yfty_longdesc

from

ybom, yfty

where

ybom_yfty_id=yfty_id(+);

  • This functionality is controlled by the parameter Custom view in Booking Search under Setup → Configuration → Global Settings → Miscellaneous → Search Screens 2 tab.
    To add fields to the Grid Customization dialog box, the view V8_sys_customybomsearch has to be amended, however it must contain the field customybomsearch_ybom_id.

How to create a customized grid view for room blocking

Users familiar with the Suite8 Property table structure and fields can create a customized grid view for room blocking.

Example: How to customise the room blocking screen

The view has to be changed as follows:

create or replace view V8_SYS_CUSTOMROOMRESSEARCH

as

select yres_id CUSTOMROOMRESSEARCH_YRES_ID,yres_id a

from yres

or

create or replace view V8_SYS_CUSTOMROOMRESSEARCH

as

select

yres_id CUSTOMROOMRESSEARCH_YRES_ID,

yres_id a,

(SELECT v8_rep_name.name2

FROM v8_rep_name, ycln, ydet

WHERE v8_rep_name.xcms_id = ycln.ycln_xcms_id

AND ycln.ycln_ydet_id = ydet.ydet_id

AND ycln.ycln_xcca_internalcategory = 1

AND ydet.ydet_id = yres.yres_current_ydet_id) company_name,

(SELECT v8_rep_name.name2

FROM v8_rep_name, ycln, ydet

WHERE v8_rep_name.xcms_id = ycln.ycln_xcms_id

AND ycln.ycln_ydet_id = ydet.ydet_id

AND ycln.ycln_xcca_internalcategory = 2

AND ydet.ydet_id = yres.yres_current_ydet_id) travelagent_name

from yres

The fields from the custom view are automatically added to the grid.

  • This functionality is controlled by the parameter Custom view in Room Blocking for Reservations under Setup → Configuration → Global Settings → Miscellaneous → Search Screens 2 tab.
    To add fields to the Grid Customization dialog box, the view V8_SYS_CUSTOMROOMRESSEARCH has to be amended, however it must contain the field customroomressearch_yres_id.

  • Customization functionality is controlled by the user right Edit under Setup → Configuration → Users → User Definition → Rights → Miscellaneous → Grid layout Customization.

  • Print functionality is controlled by the user right Print Grid under Setup → Configuration → Users → User Definition → Rights → Miscellaneous.


Customising HTML Displays

Customising the HTML display

The HTML display may be customized according to the requirements of the property.

The customization options available when placing the cursor on the HTML display and right-clicking are:

  • Print - prints an exact copy of the HTML display. The print page margins and the actions to take if the HTML printout is too large for the defined paper size can be defined in the configuration.

  • Print with Setup - displays the printer options and then print the HTML display.

  • View source - displays the source code of the HTML file; no changes can be made.

  • Edit template with notepad - opens the relevant *.htm and *.qry in notepad. Users with HTML programming knowledge can edit these files to meet the requirements of the property.

  • Edit template with associated application - opens the relevant *.htm and *.qry with the program associated with these file types. Users with HTML programming knowledge can edit these files to meet the requirements of the property.

  • Copy to clipboard - HTML text can be selected and copied using right mouse short cut menu and selecting Copy to clipboard or short cut key Ctrl + C and then pasted to any open file using the menu option Paste or Ctrl + V.

What do you want to do?

How to use HTML Expressions to customize the HTML display

Properties can configure and store customised html files in the Version 8 directory for htm files. The files are displayed in Suite8 either by logged in user, user language, customised htm files for all users or language specific htm files for all users.

The priority Suite8 uses to determine which file to use is in the sequence as listed:

  • Customised htm file by user initials

    To display a customised htm file by user initials, the htm file has to be called usr_userintials_htmfilename.htm.

    Example: For a user with the initials DS the file has to be called usr_ds_quickinfo.htm.

  • Customised htm file by user language

    To display a customised htm file by user language, the htm file has to be called cust_lang_language short description_quickinfo.htm.

    Example: If the language short description is F for French, the user has to select this language under User Settings → Startup → Language and the file, such as quickinfo.htm has to be called cust_lang_f_quickinfo.htm.

  • Customised version for all users

    To display a customised version of htm files for all users, the html files have to be called cust_htmlfilename.htm.

    Example: cust_quickinfo.htm.

  • Customised version by language

    To display a customised version by language, the html files have to be called lang_short description of the language_htmlfile.htm.

    Example: lang_f_quickinfo.htm, where f stands for the short description of the language.

If none of these files can be found then the standard htm file is displayed

How to hide or show expressions depending on activated features or license

The following expression can be used to hide for example, Conference Information on the HTM file when working with the small business edition:

if ({const isBnB})=(1)}{/if}{else} {if {feature Meeting Planner}} Conference {runquery 2}

  • Customization functionality is controlled by the user right HTML source view and edit under Setup → Configuration → Users → User Definition → Rights → Miscellaneous.

  • The print page margins and the actions to take if the HTML printout is too large for the defined paper size are defined via the option HTML printout under Setup → Configuration → Global Settings → Miscellaneous → Visual Appearance 4.


Manager on Duty

The manager on duty can be displayed at the bottom of Suite8 screen next to the date and the name of the logged in user.

If this functionality is activate then a manager on duty must always be assigned; a new manager can be assigned by clicking on the Manager on Duty panel.

To select the manager on duty

  1. Click the Manager on Duty panel at the bottom of the screen.

The Select Manager on Duty dialog box is displayed.

  2. Select the required Manager on Duty from the list and click OK.

Note: Only logged in users who are designated as a Manager on Duty can assign a new manager on duty.

  • The manager on duty functionality is controlled by the parameter Assign Manager on Duty under Setup → Configuration → Global Settings → Generic → Generic 3 tab.

  • All relevant users can be designated as a 'Manager on Duty' via the option Manager on Duty under Setup → Configuration → Users → User Definition.


Favourites Shortcut Toolbar

Favourites

The Favourites shortcut toolbar allows you to keep your most frequently used options right where you can find them. Your most used options can be added to the Favourites shortcut toolbar where they are more noticeable and more easily organized to suit your purposes.

To make the most of the Favourites shortcut toolbar, you need to organize the options in it; this can be done using drag and drop.

In user settings the Favourites shortcut toolbar can be set to be listed first and will then be the default shortcut toolbar opened when logging on to Suite8.

Note: The Favourites shortcut toolbar cannot be removed from the toolbar.

What do you want to do?

How to add an option to the Favourites shortcut bar

  1. Click one of the colored shortcut toolbar's on the left to list the options on that toolbar.

  2. Right-click the option that you want to add, and then click Add to Favourites on the shortcut menu.

The option is now listed on the Favourites shortcut toolbar.

  3. Repeat Steps 1 and 2 for each option that you want to add.

Note: Options from Web Services cannot be added to the Favourites shortcut toolbar.

How to delete an option from the Favourites shortcut bar

  1. Click the Favourites shortcut toolbar on the left to list the options.

  2. Right-click the option that you want to remove, and then click Delete Button on the shortcut menu.

The option is removed from the Favourites shortcut toolbar.

  3. Repeat Steps 1 and 2 for each option that you want to remove.

How to reorganize the options on the Favourites shortcut bar

  1. Click the Favourites shortcut toolbar on the left to list the options.

  2. Select the option to be moved and then left-click and hold the mouse button while you drag the option to its new location on the toolbar.

  3. Repeat Steps 1 and 2 for each option that you want to move.

  • On the toolbar the Favourites shortcut bar can be listed first by selecting the option Favourite buttons on top under Miscellaneous → User Settings → Appearance Tab.


Check PA-DSS Compliance

This option may be used to check that the Suite8 Installation has been configured according to the Payment Application Data Security Standard (PA-DSS). A Fidelio Suite8 installation may be deemed as 'non PA-DSS compliant' if any issues are listed when running this option.

The program 'Cardholder Information Security Program (CISP)' was introduced by Visa USA and Visa Europe, to make sure that when customers offer their bankcard at the point of sale, over the Internet, on the phone or via mail, their account information is safe.

The program is designed to protect Visa cardholder data wherever it resides ensuring that members, merchants and service providers maintain the highest information security standard.

How to check PA-DSS Compliance

  1. Click the Help menu and select Check PA-DSS Compliance to display the PA-DSS Non-Compilance Issues dialog box.

Any non-compliant configuration issues are listed.

  2. Click Close.

Once any non-compliant issues have been fixed the PA-DSS Compliance check must be run again.

  3. Click the Help menu and select Check PA-DSS Compliance.

If no issues are listed then the Fidelio Suite8 installation can be deemed as PA-DSS Compliant.

  4. Click Close.


Security

As of Version 8.9.5.1 all Fidelio Suite8 program deliveries are signed with a Suite8 Certificate.

This integrity validation of the executable's and DLL's has been implemented in order to prevent manipulation of the Fidelio Suite8 Program Deliveries.

In the case that a file has been tampered with then an error message is displayed when Suite8 is started:

"Your Program Version of 'file name' has been tampered with and it is not in its original format. Please contact your support department."


Suite8 ini file

As of version 8.10.0.0 Suite8 is started with a *.ini file containing all the database connection details and command line parameters.

In order to make it easy to create shortcuts to different users using the same program files, the name of the *.ini file should be the same as the connected schema.

The *.ini is then added to the shortcut, for example, c:\fidelio\programs\fideliov8.exe c:\fidelio\v8live.ini.

The *.ini file contains all the database connection details, the HTML path and a parameters section where all required runtime parameters can be added. All keys expecting a Boolean can be set to either true, 1 or ON to activate the option. To disable a key the value can be set to either false, 0 or OFF.

v8live.ini example

[Database Connection]

DataBase=v8

User=v8live

Password=xxxxxxxxxxxxxxxxxxxxxxxx

[HTML]

PATH=C:\Fidelio\Html

[Parameters]

Debug=false

DBDebug=false

norainbow=false

noeyes=false

multipleinstances=true

Runtime Parameters

Runtime parameters available to be used in the *.ini file, the one exception is CrystalGCNoRun which is placed on the command line:

  • debug - starting Suite8 with this parameter will run Suite8 in debug mode.

  • remotedebug - starting Suite8 with this parameter deactivates the database version check, the client version check and the status bar to allow faster access when performing remote support. It should be used for support purposes only.

  • nofidserverwarning - this parameter can be used to start Suite8 in a test environment. This may be used to deactivate the warning message displayed if there is no successful log entry within the last 1 hour on the Fidelio server for properties with CRS installed.

  • foliolog - if Suite8 is started with this parameter all activities when printing invoices are written to the log file: fidInvPrint.log. This has been implemented to help find causes for missing invoices.

  • noballoon - if Suite8 is started with this parameter, balloons prompted by the IfcBusi.Dll are suppressed.

  • noELF - if Suite8 is started with this parameter then no eureka log file is created, however, the eureka information is still available in the application error log.

  • nochrome - chrome is the default internal browser and uses LocalV8.css; to use the internal HTML browser Suite8 has to be started with the parameter nochrome and will then use NoChromeLocalV8.css instead of LocalV8.css.

  • memory - shows application memory consumption in the header of the main form

  • norainbow - – displays the side/outlook bar in the color grey

  • noext - useful for online demos or fairs Suite8 can be started with the parameter Noext on the command line to disable access to external applications. The option External Application can be selected from the miscellaneous drop down menu, but the message: 'External Applications are not allowed' is displayed upon selecting an external application.

  • noHTML - starts Suite8 without any HTMLs

  • autona - automatically executes the Night Audit when starting Suite8.

  • HostessMode - starts Suite8 in 'Hostess Mode', only the manual postings screen is available

  • noeyes - does not show the eyes in the bottom left corner when starting Suite8 in debug mode

  • allowduplicateifctriggers - may be used so that a new interface trigger is always created.

  • multipleInstances - allows multiple instances of Suite8 to be started on a single machine.

  • CrystalGCNoRun - if Suite8 is started with this parameter on the command line then no forced Garbage Collection is executed when running Crystal reports.

Note: The oracle user password in the *.ini file needs to be encrypted with the FidelioV8DBPasswordEncrypt.exe available with the 8.10.0.0 release or a higher version. This encryption needs to be done for each and every workstation, it is not possible to encrypt once and insert the encrypted password in the *.ini and then use the same *.ini file on each workstation.


Exiting Suite8

Logging off, Exiting Suite8 and Locking the Station

The windows menu consists of the following options:

  • Close All - closes all open screens and dialog boxes

  • Lock Station - locks the workstation

  • Logout - closes all open screens and logs off Fidelio Suite8

  • Exit Application - closes all open screens and exits the application

Options

Description

Close All

  • Click the Windows menu and the option Close all.

All open screens and dialog boxes are closed.

Lock Station

  • Click the Windows menu and the option Lock Station.

All open screens and dialog boxes are closed and the Login screen appears. A new user can now login.

Logout

  1. Click the Windows menu and the option Logout

All open screens and dialog boxes are closed and the Login screen appears. A new user can now login.

  2. To close the application completely click Cancel.

Fidelio Suite8 is closed and the desktop appears.

Exit Application

  • Click the Windows menu and the option Exit Application.

Fidelio Suite8 is closed and the desktop appears.

  • Lock Station - the open screens and dialog boxes from the user who locked the station will not be closed if the parameter Leave opened screen on Switch User is selected under Setup → Configuration → Global Settings → Generic → Generic 3 tab.